Model Meta Update
curl --request POST \
--url https://api.deepinfra.com/models/{model_name}/meta \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"github_url": "<string>",
"paper_url": "<string>",
"license_url": "<string>",
"readme": "<string>",
"cover_img_url": "<string>"
}
'import requests
url = "https://api.deepinfra.com/models/{model_name}/meta"
payload = {
"description": "<string>",
"github_url": "<string>",
"paper_url": "<string>",
"license_url": "<string>",
"readme": "<string>",
"cover_img_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
github_url: '<string>',
paper_url: '<string>',
license_url: '<string>',
readme: '<string>',
cover_img_url: '<string>'
})
};
fetch('https://api.deepinfra.com/models/{model_name}/meta', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>"
}{
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Models
Model Meta Update
POST
/
models
/
{model_name}
/
meta
Model Meta Update
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
short model description in plain text
source code project link (empty to delete)
paper/research link (empty to delete)
usage license link (empty to delete)
markdown flavored model readme
dataurl or regular url to cover image (empty to delete)
model type
Available options:
automatic-speech-recognition, image-classification, question-answering, token-classification, text-to-image, fill-mask, zero-shot-image-classification, text2text-generation, text-generation, text-classification, object-detection, embeddings, dreambooth, custom, text-to-speech, text-to-video, text-to-music, rent-container, bare-metal, reranker, openclaw, hermes, world-model, sandbox Response
Successful Response
⌘I